<?php

namespace App\Models;

use CodeIgniter\Model;

class AssignmentsModel extends Model
{
  protected $table = 'assignments';
  protected $primaryKey = 'id';
  protected $useAutoIncrement = true;
  protected $returnType = 'array';
  protected $allowedFields = [
    'id_matter',
    'assigned_to',
    'assigned_by',
    'assignment_message',
    'date_assigned',
    'reassigned',
    'date_reassigned',
  ];

  public function getAll()
  {
    return $this->findAll();
  }

  public function getOne($id)
  {
    return $this->find($id);
  }

  // get assignments by a particular partner
  public function getPartnerAssignments($id_partner)
  {
    $sql = "SELECT 
    a.id_matter, a.assignment_message, a.date_assigned, u.name
    FROM
    assignments a, users u, matters m
    WHERE
    a.assigned_by = '$id_partner' AND
    a.assigned_to = u.employeeNumber AND
    a.id_matter = m.id";

    return $this->query($sql)->getResultArray();
  }

  // current week assignments for an associate
  public function getAssociateAssignments($employeeNumber){
    $sql = "SELECT
    a.id, m.details, DATE_FORMAT(a.date_assigned, '%e %M %Y') date_assigned, a.assignment_message,
    (SELECT GROUP_CONCAT(name ORDER BY name ASC SEPARATOR ', ') FROM users, matter_partners where users.employeeNumber = matter_partners.id_partner and matter_partners.id_matter = m.id) partners
    FROM
    matters m, assignments a, users u
    WHERE
    m.id = a.id_matter AND
    a.assigned_to = u.employeeNumber AND
    a.reassigned = 'N' AND
    DATE_FORMAT(a.date_assigned, '%U') = DATE_FORMAT(CURDATE(), '%U') AND
    YEAR(a.date_assigned) = YEAR(CURDATE()) AND
    u.employeeNumber = '$employeeNumber'
    ORDER BY
    a.date_assigned DESC";

    return $this->query($sql)->getResultArray();
  }
}
