<?php

namespace App\Models;

use CodeIgniter\Model;

class MatterPartnersModel extends Model
{
  protected $table = 'matter_partners';
  protected $primaryKey = 'id';
  protected $useAutoIncrement = true;
  protected $returnType = 'array';
  protected $allowedFields = ['id_matter', 'id_partner'];

  public function getAll()
  {
    return $this->findAll();
  }

  public function getOne($id)
  {
    return $this->find($id);
  }

  public function getPartnersByMatterId($id_matter)
  {
    return $this->where('id_matter', $id_matter)->find();
  }

  public function getMattersByPartnerId($id_partner)
  {
    return $this->where('id_partner', $id_partner)->find();
  }
  
  public function getReport($startDate = null, $endDate = null){
    if($startDate == null || $endDate == null){
      $query = "SELECT * FROM report_assignments 
                WHERE 
                week_no = DATE_FORMAT(CURDATE(), '%u') - 1
                AND year = YEAR(CURDATE())";
    }else{
      $query = "SELECT
      DISTINCT(r.id_matter) id_matter, r.details, r.requirement, r.partners, r.associates, r.added_by
      FROM report_assignments r, assignments a
      WHERE
      r.id_matter = a.id_matter AND
      DATE_FORMAT(a.date_assigned, '%Y-%m-%d') >= '$startDate' AND
      DATE_FORMAT(a.date_assigned, '%Y-%m-%d') <= '$endDate'";
    }
    
    return $this->query($query)->getResultArray();
  }
}
