<?php

namespace App\Models;

use CodeIgniter\Model;

class MattersModel extends Model
{
  protected $table = 'matters';
  protected $primaryKey = 'id';
  protected $useAutoIncrement = true;
  protected $returnType = 'array';
  protected $useTimestamps = true;
  protected $createdField = 'created_at';
  protected $updatedField = 'updated_at';
  protected $allowedFields = [
    'details',
    'requirement',
    'status',
    'added_by',
  ];

  public function getAll()
  {
    return $this->findAll();
  }

  public function getOne($id)
  {
    return $this->find($id);
  }

  // get my matters
  public function getMyMatters($id_partner)
  {
    return $this->where(['added_by' => $id_partner, 'status' => 'Open'])
      ->orderBy('created_at', 'DESC')
      ->findAll();
  }
  
  // get matter partners
  public function getMatterPartners($id_matter){
    $query = "SELECT
              u.email
              FROM matter_partners mp, users u
              WHERE
              mp.id_partner = u.employeeNumber AND
              mp.id_matter = $id_matter";
              
    return $this->query($query)->getResultArray();
  } 

  // dashboard assignments by user or all
  public function getAssignments($id_dept, $id_user = null){
    if($id_user != null){
      $query = "SELECT * FROM dashboard_matters WHERE associates IS NOT NULL AND added_by = '$id_user' AND id_department = $id_dept";
    }else{
      $query = "SELECT * FROM dashboard_matters WHERE associates IS NOT NULL AND id_department = $id_dept";
    }
    return $this->query($query)->getResultArray();
  }
}
