<?php

namespace App\Models;

use CodeIgniter\Model;

class MyExperiencesModel extends Model
{
  protected $table = 'my_experience';
  protected $primaryKey = 'id';
  protected $useAutoIncrement = true;
  protected $returnType = 'array';
  protected $useTimestamps = true;
  protected $createdField = 'created_at';
  protected $updatedField = 'updated_at';
  protected $allowedFields = ['description', 'id_practice_area', 'id_user'];

  public function getAll()
  {
    return $this->findAll();
  }

  // get partners for a single user
  public function getMyExperiences($id_user)
  {
    return $this->query(
      "SELECT 
      e.id, e.description, d.department FROM 
      my_experience as e, departments as d 
      WHERE 
      e.id_practice_area = d.id AND 
      e.id_user = $id_user"
    )->getResultArray();
  }
}
