<?php

namespace App\Models;

use CodeIgniter\Model;

class NextWeekCapacityModel extends Model
{
  protected $table = 'capacity_next_week';
  protected $primaryKey = 'id';
  protected $useAutoIncrement = true;
  protected $returnType = 'array';
  protected $useTimestamps = true;
  protected $createdField = 'created_at';
  protected $updatedField = 'updated_at';
  protected $allowedFields = ['id_user', 'capacity', 'week_no'];

  public function getAll()
  {
    return $this->findAll();
  }

  // get next week's capacity for a single user
  public function getMyCapacity($employeeNumber)
  {
    return $this->query(
      "SELECT 
      id, capacity
      FROM 
      capacity_next_week
      WHERE 
      week_no = DATE_FORMAT(DATE_ADD(CURDATE(), INTERVAL 7 DAY), '%u') AND
      id_user = '$employeeNumber'"
    )->getRow();
  }

  // 
}
