<?php

namespace App\Models;

use CodeIgniter\Model;

class TasksModel extends Model
{
  protected $table = 'tasks';
  protected $primaryKey = 'id';
  protected $useAutoIncrement = true;
  protected $returnType = 'array';
  protected $useTimestamps = true;
  protected $createdField = 'created_at';
  protected $updatedField = 'updated_at';
  protected $allowedFields = [
    'task',
    'duration',
    'description',
    'id_matter',
    'created_by',
  ];

  public function getAll()
  {
    return $this->findAll();
  }

  public function getOne($id)
  {
    return $this->find($id);
  }

  // get tasks by a particular partner
  public function getPartnerTasks($id_partner)
  {
    $sql = "SELECT 
            t.*, u.id as id_associate, u.name, ta.date_assigned, ta.accepted, ta.date_accepted, ta.date_completed FROM
            tasks as t, users as u, tasks_associates as ta
            WHERE
            t.created_by = $id_partner AND
            t.id = ta.id_task AND
            ta.id_associate = u.id";

    return $this->query($sql)->getResultArray();
  }
}
