<?php
$my_experiences = json_decode($interests[0]['experience']);
$my_areas = json_decode($interests[0]['areas']);
$my_partners = json_decode($interests[0]['partners']);
?>

<p class="header-caption"><?= $_SESSION['user_name'] ?></p>
<h1>My Profile</h1>
<hr>

<div id="interests-id" class="hide"><?= json_decode($interests[0]['id']) ?></div>

<div class="dashboard-component card">
	<div class="tg-container">
		<div class="tg-column tg-col-3 no-bottom-margin">
			<h2>Experience</h2>
			<div class="edit-actions">
				<p><a class="btn-add-to-profile" id="show-add-experience"><i class="cil-plus"></i></a></p>
			</div>
		</div>
		<div id="experiences" class="tg-column tg-col-9 no-bottom-margin">
			<?php if($my_experiences): ?>
			<!-- experience-list -->
			<div id="experience-list" class="tg-container">
				<?php foreach($my_experiences as $experience): ?>
				<div id="selected-experience-<?= $experience->id ?>" class="tg-column tg-col-6 no-bottom-margin">
					<div class="tag">
						<p data-experience-id="<?= $experience->id ?>"><?= $experience->areaOfExperience ?></p>
					</div>
				</div>
				<?php endforeach; ?>
			</div>
			<!-- END experience-list -->
			<?php else: ?>
			<!-- end empty div -->
			<div class="empty animate__animated animate__fadeIn" id="empty-experience">
				<svg style="width: 10%;" enable-background="new 0 0 24 24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="m21.5 22h-19c-1.378 0-2.5-1.121-2.5-2.5v-7c0-.07.015-.141.044-.205l3.969-8.82c.404-.896 1.299-1.475 2.28-1.475h11.414c.981 0 1.876.579 2.28 1.475l3.969 8.82c.029.064.044.135.044.205v7c0 1.379-1.122 2.5-2.5 2.5zm-20.5-9.393v6.893c0 .827.673 1.5 1.5 1.5h19c.827 0 1.5-.673 1.5-1.5v-6.893l-3.925-8.723c-.242-.536-.779-.884-1.368-.884h-11.414c-.589 0-1.126.348-1.368.885z"/><path d="m16.807 17h-9.614c-.622 0-1.186-.391-1.404-.973l-1.014-2.703c-.072-.194-.26-.324-.468-.324h-3.557c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h3.557c.622 0 1.186.391 1.405.973l1.013 2.703c.073.194.261.324.468.324h9.613c.208 0 .396-.13.468-.324l1.013-2.703c.22-.582.784-.973 1.406-.973h3.807c.276 0 .5.224.5.5s-.224.5-.5.5h-3.807c-.208 0-.396.13-.468.324l-1.013 2.703c-.219.582-.784.973-1.405.973z"/></svg>
	
				<p>No experience has been added yet. Click on the edit button to start making your selection.</p>
			</div>
			<!-- end empty div -->
			<?php endif; ?>
		</div>
	</div>
</div>

<div class="dashboard-component card">
	<div class="tg-container">
		<div class="tg-column tg-col-3 no-bottom-margin">
			<h2>Areas of interest</h2>
			<div class="edit-actions">
				<p><a class="btn-add-to-profile" id="edit-pas"><i class="cil-pencil"></i></a></p>
			</div>
		</div>
		
		<div class="tg-column tg-col-9 no-bottom-margin">
			<div id="selected-pas-container" class="animate__animated animate_fadeIn">
				<?php if($my_areas): ?>
					<!-- area list -->
					<div id="selected-pas" class="tg-container">
						<?php foreach($my_areas as $area): ?>
						<div id="selected-pa-<?= $area->id ?>" class="selected-pa tg-column tg-col-6 no-bottom-margin">
							<div class="tag">
								<p data-area-id="<?= $area->id ?>"><?= $area->area ?></p>
							</div>
						</div>
						<?php endforeach; ?>
					</div>
					<!-- END area list -->
				<?php else: ?>
				<!-- empty div -->
				<div class="empty animate__animated animate__fadeIn" id="empty-pas">
					<svg style="width: 10%;" enable-background="new 0 0 24 24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="m21.5 22h-19c-1.378 0-2.5-1.121-2.5-2.5v-7c0-.07.015-.141.044-.205l3.969-8.82c.404-.896 1.299-1.475 2.28-1.475h11.414c.981 0 1.876.579 2.28 1.475l3.969 8.82c.029.064.044.135.044.205v7c0 1.379-1.122 2.5-2.5 2.5zm-20.5-9.393v6.893c0 .827.673 1.5 1.5 1.5h19c.827 0 1.5-.673 1.5-1.5v-6.893l-3.925-8.723c-.242-.536-.779-.884-1.368-.884h-11.414c-.589 0-1.126.348-1.368.885z"/><path d="m16.807 17h-9.614c-.622 0-1.186-.391-1.404-.973l-1.014-2.703c-.072-.194-.26-.324-.468-.324h-3.557c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h3.557c.622 0 1.186.391 1.405.973l1.013 2.703c.073.194.261.324.468.324h9.613c.208 0 .396-.13.468-.324l1.013-2.703c.22-.582.784-.973 1.406-.973h3.807c.276 0 .5.224.5.5s-.224.5-.5.5h-3.807c-.208 0-.396.13-.468.324l-1.013 2.703c-.219.582-.784.973-1.405.973z"/></svg>
		
					<p>No areas of interest selected yet. Click on the edit button to start making your selection.</p>
				</div>
				<!-- END empty div -->
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<div class="dashboard-component card">
	<div class="tg-container">
		<div class="tg-column tg-col-3 no-bottom-margin">
			<h2>Partners of interest</h2>
			<div class="edit-actions">
				<p><a class="btn-add-to-profile" id="edit-partners"><i class="cil-pencil"></i></a></p>
			</div>
			
		</div>
		<div id="selected-partners-container" class="tg-column tg-col-9 no-bottom-margin">
			<?php if($my_partners): ?>
				<div class="tg-container" id="selected-partners">
					<?php foreach($my_partners as $partner): ?>
					<div id="selected-partner-<?= $partner->id ?>" class="selected-partner tg-column tg-col-6 no-bottom-margin">
						<div class="tag">
							<p data-partner-id="<?= $partner->id ?>"><?= $partner->name ?></p>
						</div>
					</div>
					<?php endforeach; ?>
				</div>
			<?php else: ?>
			<div class="empty animate__animated animate__fadeIn" id="empty-partners">
				<svg style="width: 10%;" enable-background="new 0 0 24 24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="m21.5 22h-19c-1.378 0-2.5-1.121-2.5-2.5v-7c0-.07.015-.141.044-.205l3.969-8.82c.404-.896 1.299-1.475 2.28-1.475h11.414c.981 0 1.876.579 2.28 1.475l3.969 8.82c.029.064.044.135.044.205v7c0 1.379-1.122 2.5-2.5 2.5zm-20.5-9.393v6.893c0 .827.673 1.5 1.5 1.5h19c.827 0 1.5-.673 1.5-1.5v-6.893l-3.925-8.723c-.242-.536-.779-.884-1.368-.884h-11.414c-.589 0-1.126.348-1.368.885z"/><path d="m16.807 17h-9.614c-.622 0-1.186-.391-1.404-.973l-1.014-2.703c-.072-.194-.26-.324-.468-.324h-3.557c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h3.557c.622 0 1.186.391 1.405.973l1.013 2.703c.073.194.261.324.468.324h9.613c.208 0 .396-.13.468-.324l1.013-2.703c.22-.582.784-.973 1.406-.973h3.807c.276 0 .5.224.5.5s-.224.5-.5.5h-3.807c-.208 0-.396.13-.468.324l-1.013 2.703c-.219.582-.784.973-1.405.973z"/></svg>
	
				<p>No partners selected yet. Click on the edit button to start making your selection.</p>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>

<!-- add experience form -->
<div id="add-experience" class="animate__animated hide form-container">
	<div class="form-header">
		<h3>Add experience</h3>
		<p id="close-add-experience" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	
	<div class="form-content">
		<div class="tg-container" id="department-list">
			<?php foreach($departments as $department): ?>
			<div class="tg-column tg-col-6 no-bottom-margin" id="department-<?= $department['id']; ?>">
				<label for="department-check-<?= $department['id']; ?>" class="choice-label">
					<input type="checkbox" id="department-check-<?= $department['id']; ?>" value="<?= $department['department']; ?>" data-id="<?= $department['id']; ?>" class="department-checkbox">
					<span><?= $department['department']; ?></span>
					<span id="department-status-<?= $department['id']; ?>"><i class="cil-x-circle"></i></span>
				</label>
			</div>
			<?php endforeach; ?>
		</div>
	</div>
	<div class="form-footer">
		<button type="button" id="btAddExperience" class="dark">Done</button>
	</div>
</div>
<!-- END add experience form -->

<!-- areas of interest form -->
<div id="pas-list-container" class="form-container animate__animated hide">
	<div class="form-header">
		<h3>Select areas of interest</h3>
		<p id="close-edit-areas-of-interest" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	<div class="form-content">
		<div class="tg-container" id="pas-list">
			<?php foreach($areas as $area): ?>
			<div class="tg-column tg-col-6 no-bottom-margin" id="area-<?= $area['id']; ?>">
				<label for="area-check-<?= $area['id']; ?>" class="choice-label">
					<input type="checkbox" id="area-check-<?= $area['id']; ?>" value="<?= $area['area_of_interest']; ?>" data-id="<?= $area['id']; ?>" class="area-checkbox">
					<span><?= $area['area_of_interest']; ?></span>
					<span id="area-status-<?= $area['id']; ?>"><i class="cil-x-circle"></i></span>
				</label>
			</div>
			<?php endforeach; ?>
		</div>
	</div>
	<div class="form-footer">
		<p>&nbsp;</p>
		<button type="button" id="finished-editing-pas" class="dark">Done</button>
	</div>
</div>
<!-- END areas of interest form -->

<!-- partners form  -->
<div id="partners-list-container" class="form-container animate__animated hide">
	<div class="form-header">
		<h3>Select partner</h3>
		<p id="close-edit-partners" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	<div class="form-content">
		<div class="tg-container" id="partners-list">
			<?php foreach($partners as $partner): ?>
			<div class="tg-column tg-col-6 no-bottom-margin" id="partner-<?= $partner['id']; ?>">
				<label for="partner-check-<?= $partner['id']; ?>" class="choice-label">
					<input type="checkbox" id="partner-check-<?= $partner['id']; ?>" value="<?= $partner['name']; ?>" data-id="<?= $partner['id']; ?>" class="partner-checkbox">
					<span><?= $partner['name']; ?></span>
					<span id="partner-status-<?= $partner['id']; ?>"><i class="cil-x-circle"></i></span>
				</label>
			</div>
			<?php endforeach; ?>
		</div>
	</div>
	<div class="form-footer">
		<p>&nbsp;</p>
		<button type="button" id="finished-editing-partners" class="dark">Done</button>
	</div>
</div>
<!-- END partners form  -->
