<div id="assignment-wizard">
	<form name="assign-matter" id="assign-matter">
		
	<!-- matter state -->
	<div class="tab" id="tabMatterState">
		<h3>Is this a new or existing matter?</h3>
		<div class="tg-container">
			<div class="tg-column tg-col-6 no-bottom-margin">
				<label for="new-matter" class="multiple-choice">
					<input type="radio" name="matter-state" id="new-matter" value="tabNewMatter" class="matter-state" checked>
					New matter
				</label>
			</div>
			
			<div class="tg-column tg-col-6 no-bottom-margin">
				<label for="existing-matter" class="multiple-choice">
					<input type="radio" name="matter-state" id="existing-matter" value="tabExistingMatter" class="matter-state">
					Existing matter
				</label>
			</div>
		</div>
	</div>
	<!-- END matter state -->
		
	<!-- new matter -->
	<div class="tab to-validate" id="tabNewMatter">
		<h3>Add new matter</h3>

		<label for="partner">Partner</label>
		<select id="partner" name="partner">
			<?php foreach($partners as $partner): ?>
			<option value="<?= $partner['id'] ?>"><?= $partner['name'] ?></option>
			<?php endforeach; ?>
		</select>
		
		<label for="details">Details</label>
		<textarea class="user-text" name="details" id="details"></textarea>
		<p class="tg-form-error hide">This field is required</p>

		<label for="matter-requirement">Requirement</label>
		<input class="user-text" type="text" name="matter-requirement" id="matter-requirement">
		<p class="tg-form-error hide">This field is required</p>
	</div>
	<!-- END new matter -->
	
	<!-- existing matter -->
	<div class="tab to-validate" id="tabExistingMatter">
		<h3>Existing matter</h3>
		<label for="existing-matter">Select matter</label>
		<select id="existing-matter-id" name="existing-matter-id">
			<?php foreach($matters as $matter): ?>
			<option value="<?= $matter['id'] ?>"><?= $matter['name'] ?></option>
			<?php endforeach; ?>
		</select>
	</div>
	<!-- END existing matter -->
		
	<!-- assign matter -->
	<div class="tab to-validate" id="tabAssignMatter">
		<h3>Assign associate</h3>
		
		<label for="message">Message</label>
		<textarea class="user-text" name="message" id="message">This matter has been assigned to you. Please get in touch with the assigning partner/associate.</textarea>
		<p class="tg-form-error hide">This field is required</p>
	</div>
	<!-- END assign matter -->
		
	<input type="hidden" name="associate-id" id="associate-id" value="<?= $associate_id ?>"> 
	
	<hr>
	<div class="tg-container">
		<div class="tg-column tg-col-6 no-bottom-margin">
			<button type="button" id="prevBtn" onclick="navigateToTab(-1)" class="dark">Previous</button>
		</div>
		
		<div class="tg-column tg-col-6 no-bottom-margin">
			<button type="button" id="nextBtn" onclick="navigateToTab(1)" class="dark">Next</button>
		</div>
	</div>
	
	<!-- Circles which indicates the steps of the form: -->
	<div id="steps" style="text-align:center;margin-top:40px;">
	  <span class="step"></span>
	  <span class="step"></span>
	  <span class="step"></span>
	  <span class="step"></span>
	</div>
	</form>
</div>

<script>
	// define form
	var assignmentForm = document.querySelector('#assign-matter')
	
	// define form elements
	var matterName = document.querySelector('#matter-name')
	var matterClient = document.querySelector('#matter-client')
	var matterDescription = document.querySelector('#description')
	var matterPartner = document.querySelector('#partner')
	var existingMatterId = document.querySelector('#existing-matter-id')
	var associateId = document.querySelector('#associate-id')
	var message = document.querySelector('#message')
	var matterState = 'tabNewMatter'
	
	
	// define buttons
	var btPrev = document.querySelector('#prevBtn')
	var btNext = document.querySelector('#nextBtn')
	
	// define tabs
	var tabMatterState = document.querySelector('#tabMatterState')
	var tabNewMatter = document.querySelector('#tabNewMatter')
	var tabExistingMatter = document.querySelector('#tabExistingMatter')
	var tabAssignMatter = document.querySelector('#tabAssignMatter')
	
	// define initial tabs
	var tabs = [tabMatterState, tabNewMatter, tabAssignMatter]
	
	// determine which matter state tab to display
	var companyStates = document.querySelectorAll('.matter-state')
	companyStates.forEach(state => {
		state.addEventListener('click', () => {
			// show relevant tab
			tabs[1] = document.querySelector(`#${state.value}`)
			
			// set state value
			matterState = state.value
		})
	})
	
	// define step indicators
	var steps = document.querySelectorAll('.step')
	
	// set current tab to first one
	var currentTab = 0
	
	var showTab = n => {
	  if(tabs !== undefined){
		  tabs[n].style.display = 'block'
		  
			// fix pre/next buttons
			n === 0 ? (btPrev.style.display = 'none') : (btPrev.style.display = 'inline')
		  
			n == tabs.length - 1
			  ? (btNext.innerHTML = 'Finish')
			  : (btNext.innerHTML = 'Next')
	  }
	
	  // step indicator
	  fixStepIndicator(n)
	}
	
	// tab navigation
	var navigateToTab = n => {
	  if (n === 1 && !validateForm()) {
		return false
	  }
	
	  // hide the current tab
  		if(tabs !== undefined){
		  tabs[currentTab].style.display = 'none'
		}	
		  
	  // increase or decrease the current tab by 1
	  currentTab = currentTab + n
	
	  // if you've reached the end of the form, submit it
	  if (currentTab >= tabs.length) {
		// assignmentForm.submit()
		// return false
		document.querySelector('#assignment-wizard').innerHTML = '<p>Please wait ...</p>'
		
		var assignmentData = new FormData()
		
		assignmentData.append('matter-state', matterState)
		assignmentData.append('matter-name', matterName.value)
		assignmentData.append('matter-client', matterClient.value)
		assignmentData.append('description', matterDescription.value)
		assignmentData.append('partner', matterPartner.value)
		assignmentData.append('existing-matter', existingMatterId.value)
		assignmentData.append('message', message.value)
		assignmentData.append('associate_id', associateId.value)
		
		// fetch data from db
		  $.ajax({
			url: `/partner/associates/submit_assignment`,
			type: 'post',
			data: assignmentData,
			processData: false,
			contentType: false,
		
			success: function (response) {
			  $('#assignment-wizard').html(response)
			}
		  })
		  // end fetch data to db
	  }
	
	  // otherwise display the correct tab
	  showTab(currentTab)
	}
	
	// validate form
	var validateForm = () => {
	  var valid = true
	
	  if (tabs[currentTab].classList.contains('to-validate')) {
		// get all the inputs for the active tab
		var textInputs = tabs[currentTab].querySelectorAll('.user-text')
		var numericalInputs = tabs[currentTab].querySelectorAll('.numerical')
	
		textInputs.forEach(textInput => {
		  if (textInput.value.trim() === '') {
			textInput.classList.add('invalid')
			textInput.nextElementSibling.classList.remove('hide')
			valid = false
		  }
	
		  textInput.addEventListener('blur', () => {
			if (textInput.value.trim() !== '') {
			  textInput.classList.remove('invalid')
			  textInput.nextElementSibling.classList.add('hide')
			}
		  })
		})
	  }
	
	  return valid
	}
	
	// step indicator
	var fixStepIndicator = n => {
	  for (i = 0; i < steps.length; i++) {
		steps[i].className = steps[i].className.replace(' active', '')
	  }
	
	  // add active class to current step
	  steps[n].className += ' active'
	}
	
	showTab(currentTab) // Display the current tab
</script>