<div id="birds-eye-header" class="tg-container">
	<div class="tg-column tg-col-3 no-bottom-margin">
		<h1>Lawyers</h1>
		<button id="btn-assign" disabled>Assign - <span>0</span></button>
	</div>
	
	<div id="birds-eye-filter" class="tg-column tg-col-3 no-bottom-margin">
		<label for="filter">Select level</label>
		<select name="filter" id="filter">
			<option value="All">All</option>
			<option value="Associate 1">Associate 1</option>
			<option value="Associate 2">Associate 2</option>
			<option value="Associate 3">Associate 3</option>
			<option value="Senior Associate">Senior Associate</option>
			<option value="Principal Associate">Principal Associate</option>
			<option value="Trainee Lawyer">Trainee Lawyer</option>
		</select>
	</div>
</div>
<div id="birds-eye-list">
	<div id="list-header">
		<div class="data-item data-item-name"><br/>Name</div>
		<div class="data-item data-item-level"><br/>Level</div>
		<div class="data-item data-item-day"><br/>M</div>
		<div class="data-item data-item-day"><br/>T</div>
		<div class="data-item data-item-day"><br/>W</div>
		<div class="data-item data-item-day"><br/>T</div>
		<div class="data-item data-item-day"><br/>F</div>
		<div class="data-item data-item-day"><br/>NW</div>
		<div class="data-item">Last Week<br/>B. Hours</div>
		<div class="data-item">Last Week<br/>T. Hours</div>
		<div class="data-item">3-Week<br/>B. Avg</div>
		<div class="data-item">3-Week<br/>T. Avg</div>
		<div class="data-item">3-Week<br/>B. Variance</div>
		<div class="data-item">3-Week<br/>T. Variance</div>
	</div>
	<div id="list-body">
		<?php foreach ($associates as $associate): ?>
		<div class="associate-container animate__animated" data-organisation-level="<?= $associate['level'] ?>" data-associate-id="<?= $associate['employeeNumber'] ?>">
			<div class="list-row">
				<div class="data-item data-item-name associate-identity">
					<div class="associate-name">
						<label for="associate-<?= $associate['employeeNumber'] ?>">
							<input type="checkbox" name="associate" id="associate-<?= $associate['employeeNumber'] ?>" value="<?= $associate['employeeNumber'] ?>" class="associate-selector <?= strtolower($associate['status']) ?>">
							<?= $associate['status'] == 'Away' ? '*' . $associate['name'] : $associate['name'];  ?>
						</label>
					</div>
					<div class="show-details" data-associate-id="<?= $associate['employeeNumber'] ?>"><i class="cil-external-link"></i></div>
				</div>
				<div class="data-item data-item-level"><?= $associate['level'] ?></div>
				<div class="data-item data-item-day"><?= $associate['Mon'] ?></div>
				<div class="data-item data-item-day"><?= $associate['Tue'] ?></div>
				<div class="data-item data-item-day"><?= $associate['Wed'] ?></div>
				<div class="data-item data-item-day"><?= $associate['Thu'] ?></div>
				<div class="data-item data-item-day"><?= $associate['Fri'] ?></div>
				<div class="data-item data-item-day"><?= $associate['next_week'] ?></div>
				<div class="data-item"><?= number_format($associate['billable_hours'], 1) ?></div>
				<div class="data-item"><?= number_format($associate['total_hours'], 1) ?></div>
				<div class="data-item"><?= number_format($associate['billable_average'],  1) ?></div>
				<div class="data-item"><?= number_format($associate['total_average'], 1) ?></div>
				<div class="data-item positive <?php if ($associate['billable_variance'] < 0) { echo 'negative'; } ?>"><?= number_format($associate['billable_variance'], 1) ?></div>
				<div class="data-item positive <?php if ($associate['totals_variance'] < 0) { echo 'negative'; } ?>"><?= number_format($associate['totals_variance'], 1) ?></div>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
	
</div>
<p>&nbsp;</p>
<p style="font-size: 0.9rem; font-weight: bold;"><i class="cil-info"></i>&nbsp;&nbsp;The lawyers marked with an asterisk (*) are on leave/away and cannot be assigned to matters.</p>

<script src="https://cdn.jsdelivr.net/npm/chart.js@3.1.0/dist/chart.min.js"></script>
<script src="/js/partner/associate-birds-eye.js" defer></script>
<script src="/js/partner/assignment.js" defer></script>
