<?php
	$experiences = count($interests) > 0 ? json_decode($interests[0]['experience']) : [];
	$areas = count($interests) > 0 ? json_decode($interests[0]['areas']) : [];
	$partners = count($interests) > 0 ? json_decode($interests[0]['partners']) : [];
?>

<div id="associate-<?= $associate[0]['employeeNumber'] ?>" class="data-item animate__animated" data-associate-id="<?= $associate[0]['employeeNumber'] ?>">
	<div class="content-header">
		<h2 id="associate-name"><?= $associate[0]['name'] ?></h2>
	</div>
	
	<div class="content-meta">
		<p class="meta-date"><?= $associate[0]['level'] ?>, <?= $associate[0]['department'] ?></p>
	</div>
	
	<div id="profile">
		<div id="profile-content">
			<div class="tg-container">
				<div class="tg-column tg-col-4 no-bottom-margin">
					<h3>Areas of interest</h3>
				</div>
				<div class="tg-column tg-col-8 no-bottom-margin">
					<?php if (count($areas) > 0): ?>
						<?php foreach ($areas as $area): ?>
							<p><?= $area->area ?></p>
						<?php endforeach; ?>
					<?php else: ?>
						<p>Not set</p>
					<?php endif; ?>
				</div>
			</div>
			
			<hr>
			<div class="tg-container">
				<div class="tg-column tg-col-4 no-bottom-margin">
					<h3>Partners of interest</h3>
				</div>
				<div class="tg-column tg-col-8 no-bottom-margin">
					<?php if (count($partners) > 0): ?>
						<?php foreach ($partners as $partner): ?>
							<p><?= $partner->name ?></p>
						<?php endforeach; ?>
					<?php else: ?>
						<p>Not set</p>
					<?php endif; ?>
				</div>
			</div>
			
			<hr>
			<div class="tg-container">	
					<div class="tg-column tg-col-4 no-bottom-margin">
						<h3>Experience</h3>
					</div>
					<div class="tg-column tg-col-8 no-bottom-margin">
						<?php if (count($experiences) > 0): ?>
							<?php foreach ($experiences as $experience): ?>
								<p><?= $experience->areaOfExperience ?></p>
							<?php endforeach; ?>
						<?php else: ?>
							<p>Not set</p>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
		<hr>
		
		<h2>This week's assignments</h2>
		<?php if(count($assignments) > 0): ?>
			<div class="assignments-container">
				<div class="associate-assignment assignment-header">
					<p class="assignment-details">Matter</p>
					<p class="assignment-partners">Partner(s)</p>
					<p class="assignment-action">&nbsp;</p>
				</div>
				<?php foreach($assignments as $assignment): ?>
				<div id="assignment-<?= $assignment['id'] ?>" class="associate-assignment">
					<p class="assignment-details"><?= $assignment['details'] ?></p>
					<p class="assignment-partners"><?= $assignment['partners'] ?></p>
					<p class="assignment-action" data-assignment-id="<?= $assignment['id'] ?>"><i class="cil-delete"></i></p>
				</div>
				<?php endforeach; ?>
			</div>
		<?php else: ?>
			<p>No matters assigned this week</p>
		<?php endif; ?>
		<hr>
		
		<h2>History</h2>
		<div id="associate-data" class="hide"><?= $totals ?></div>
		<canvas id="associate-history"></canvas>
		
		
	</div>
	
	<script>
		totals = JSON.parse(document.querySelector('#associate-data').textContent)
		
		weekNos = totals.map(total => total.week_no)
		billables = totals.map(total => total.billable_hours)
		deptBillables = totals.map(total => total.dept_billables)
		totalHours = totals.map(total => total.total_hours)
		deptTotalHours = totals.map(total => total.dept_totals)
		capacities = totals.map(total => total.weekly_capacity)
		
		ctx = document.getElementById('associate-history').getContext('2d');
		myChart = new Chart(ctx, {
			type: 'line',
			data: {
				labels: weekNos,
				datasets: [
					{
						label: 'Assoc. Billables',
						data: billables,
						borderColor: '#8cd2f5',
						lineTension: 0.4
					},
					{
						label: 'Dept. Billables',
						data: deptBillables,
						borderColor: '#266d91',
						lineTension: 0.4
					},
					{
						label: 'Assoc. Totals',
						data: totalHours,
						borderColor: '#5de8ca',
						lineTension: 0.4
					},
					{
						label: 'Dept. Totals',
						data: deptTotalHours,
						borderColor: '#20876f',
						lineTension: 0.4
					},
					{
						label: 'Capacity',
						data: capacities,
						borderColor: '#e8b75d',
						lineTension: 0.4
					}
				]
			},
			options: {
				responsive: true,
				plugins: {
				  legend: {
					position: 'top',
				  },
				  title: {
					display: true,
					text: 'Weekly Hours & Capacity'
				  }
				},
				scales:{
					x:{
						title:{
							display: true,
							text: 'Week #',
							color: '#ae132d'
						}
					},
					y:{
						title:{
							display: true,
							text: 'Hours',
							color: '#ae132d'
						}
					}
				}
			  }
		});
		
		// delete assignment
		var deleteButtons = Array.from(
		  document.querySelectorAll('.assignment-action')
		)
		
		deleteButtons.forEach(deleteButton => {
			deleteButton.addEventListener('click', () => {
				const assignmentId = deleteButton.dataset.assignmentId
				const divToHide = document.querySelector(`#assignment-${assignmentId}`)
				
				divToHide.innerHTML = `<p style='margin-bottom: 10px'>Deleting assignment. Please wait ...</p>`
				
				// delete assignment from db
				  $.ajax({
					url: `/partner/associates/delete-assignment/${assignmentId}`,
					type: 'get',
				
					success: function (response) {
					 $(divToHide).html(response)
					}
				  })
			})
		})
	</script>	

