<h2>Assignments</h2>
<div id="dashboard" class="dashboard-container">
	<div id="assignments" class="tg-container">
		<div class="tg-column tg-col-12 no-bottom-margin">
			
			 <table id="table-assignments" class="display" style="border: 1px solid #ccc; border-radius: 3px;">
			 	 <thead>
				  	<tr>
						<th style="font-size: 90%">Matter</th>
						<th style="font-size: 90%">Partners</th>
						<th style="font-size: 90%">Assigned to</th>
						<th style="font-size: 90%">Date</th>
					</tr>
				  </thead>
				  <tbody>
				  	 <?php foreach ($assignments as $assignment): ?>
						<tr>
							<td style="font-size: 90%"><?= $assignment['details'] ?></td>
							<td style="font-size: 90%"><?= $assignment['partners'] ?></td>
							<td style="font-size: 90%"><?= $assignment['associates'] ?></td>
							<td style="font-size: 90%"><?= $assignment['matter_date'] ?></td>
						</tr>
					 <?php endforeach; ?>
				  </tbody>
			 </table>
		</div>
	</div>
</div>

<p>&nbsp;</p>
<p>&nbsp;</p>

<div id="averages-data" class="hide"><?= $averages ?></div>
<h2>History</h2>
<div id="history-container" class="dashboard-container">
	<div id="history" class="tg-container">
		<div class="tg-column tg-col-12 no-bottom-margin">
			<canvas id="capacity-history" class="chart"></canvas>
		</div>
	</div>
</div>
	
<script src="https://cdn.jsdelivr.net/npm/chart.js@3.1.0/dist/chart.min.js"></script>
<script>
	const averages = JSON.parse(document.querySelector('#averages-data').textContent).sort((a, b) => a.week_no - b.week_no)
	
	const weekNos = averages.map(average => average.week_no)
	const billables = averages.map(average => average.avg_billable_hours)
	const totalHours = averages.map(average => average.avg_total_hours)
	const capacityHours = averages.map(average => average.avg_capacity)
	
	const ctx = document.getElementById('capacity-history').getContext('2d');
	const myChart = new Chart(ctx, {
		type: 'line',
		data: {
			labels: weekNos,
			datasets: [
				{
					label: 'Billable hours',
					data: billables,
					borderColor: '#8cd2f5',
					lineTension: 0.4
				},
				{
					label: 'Total Hours',
					data: totalHours,
					borderColor: '#5de8ca',
					lineTension: 0.4
				},
				{
					label: 'Capacity',
					data: capacityHours,
					borderColor: '#e8b75d',
					lineTension: 0.4
				}
			]
		},
		options: {
			responsive: true,
			plugins: {
			  legend: {
				position: 'top',
			  },
			  title: {
				display: true,
				text: 'Dept. Billable, Total & Capacity Hours Weekly Averages'
			  }
			},
			scales:{
					x:{
						title:{
							display: true,
							text: 'Week #',
							color: '#ae132d'
						}
					},
					y:{
						title:{
							display: true,
							text: 'Hours',
							color: '#ae132d'
						}
					}
				}
		  }
	});
</script>