<div id="matters-container" class="data-container">
	<div class="data-list">
		<div id="list-header">
			<h3>Matters</h3>
			<p>
				<span id="btAddMatter"><i class="cil-note-add"></i></span>
				<span id="btFilter"><i class="cil-filter"></i></span>
			</p>
		</div>
		<div id="filter" class="animate__animated hide">
			<label for="filter-matter-name">Matter</label>
			<input type="text" name="filter-matter-name" id="filter-matter-name" />
		</div>
		<div id="matters-list" class="items-list">
			<?php if (count($matters) > 0): ?>
				<?php foreach ($matters as $matter): ?>
					<div id="matter-selector-<?= $matter['id'] ?>" class="list-item" data-show-matter-id="<?= $matter['id'] ?>">
						<p class="list-description" id="matter-selector-description-<?= $matter['id'] ?>"><?= substr($matter['details'], 0, 60) ?> ...</p>
						<p class="list-meta"><?= date_format(date_create($matter['created_at']), 'd M Y') ?></p>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</div>
	</div>
	<div id="matters"  class="data-content">
		<?php if (count($matters) > 0): ?>
			<?php foreach ($matters as $matter): ?>
				<div id="matter-<?= $matter['id'] ?>" class="data-item animate__animated hide">
					<div class="content-header">
						<p class="content-actions">
							<!-- <i title="Add task" class="cil-library-add" data-matter-id="<?= $matter['id'] ?>"></i> -->
							<i title="Edit matter" class="cil-pen" data-matter-id="<?= $matter['id'] ?>"></i>
							<i title="Archive matter" class="cil-storage" data-matter-id="<?= $matter['id'] ?>"></i>
							<i title="Delete matter" class="cil-trash" data-matter-id="<?= $matter['id'] ?>"></i>
						</p>
					</div>
					
					<div class="content-meta">
						<p class="meta-date">
							<i class="cil-calendar"></i> 
							<strong>Date created: </strong><?= date_format(date_create($matter['created_at']), 'd F Y') ?>
						</p>
					</div>
					<div class="content-description">
						<p id="matter-description-<?= $matter['id'] ?>"><?= $matter['details'] ?></p>
					</div>
					<hr>
					<div class="content-extra">
						<h2>Assignments</h2>
						<div id="tasks-<?= $matter['id'] ?>" class="task-list tg-container">
							<?php if (count($assignments) > 0): ?>
								<?php foreach ($assignments as $assignment): ?>
									<?php if ($assignment['id_matter'] == $matter['id']): ?>
										<div class="task unassigned">
											<div class="tg-container">
												<div class="tg-column tg-col-12 no-bottom-margin">
													<p><?= $assignment['assignment_message'] ?></p>
													<hr>
												</div>
												
												<div class="tg-column tg-col-6 no-bottom-margin">
													<p><i class="cil-user"></i> <strong><?= $assignment['name'] ?></strong></p>
												</div>
											</div>
										</div>
									<?php endif; ?>
								<?php endforeach; ?>
							<?php endif; ?>
						</div>
					</div>
				</div>
			<?php endforeach; ?>
		<?php else: ?>
		<div id="empty-matters">
			<p>You have not added any matters</p>
		</div>
		<?php endif; ?>
	</div>
</div>



<!-- add matter form -->
<div id="add-matter" class="animate__animated hide form-container form-add-matter">
	<div class="form-header">
		<h3>Add matter</h3>
		<p id="btCloseAddMatter" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	<form id="frmAddMatter">
		<div class="form-content">
			<?= form_label('Details', 'matter-details') ?>
			<?= form_textarea(['name' => 'matter-details', 'id' => 'matter-details']) ?>
			
			<?= form_label('Requirements', 'matter-requirements') ?>
			<?= form_input(['name' => 'matter-requirements', 'id' => 'matter-requirements']) ?>
		</div>
		<div class="form-footer">
			<?= form_button(['name' => 'btSubmitMatter', 'id' => 'btSubmitMatter', 'content' => 'Add matter', 'class' => 'dark']) ?>
		</div>
	</form>
</div>
<!-- END add matter form -->
	
<!-- edit matter form -->
<div id="edit-matter" class="animate__animated hide form-container form-add-matter">
	<div class="form-header">
		<h3>Edit matter</h3>
		<p id="btCloseEditMatter" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	<form id="frmEditMatter">
		<div class="form-content">
			<?= form_label('Description', 'edit-matter-details') ?>
			<?= form_textarea(['name' => 'matter-details', 'id' => 'edit-matter-details', ]) ?>

			<?= form_label('Requirements', 'edit-matter-requirements') ?>
			<?= form_input(['name' => 'matter-requirements', 'id' => 'edit-matter-requirements']) ?>
			
			<input type="hidden" name="matter-id" id="edit-matter-id" />
		</div>
		<div class="form-footer">
			<?= form_button(['name' => 'bEdittMatter', 'id' => 'btEditMatter', 'content' => 'Save changes', 'class' => 'dark']) ?>
		</div>
	</form>
</div>
<!-- END edit matter form -->
	
<!-- delete matter form -->
<div id="delete-matter" class="animate__animated hide form-container form-add-matter">
	<div class="form-header">
		<h3>Delete matter</h3>
		<p id="btCloseDeleteMatter" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	<form id="frmDeleteMatter">
		<div class="form-content">
			<h3 id="delete-matter-title"></h3>
			<hr>
			<p>Are you sure you want to delete this matter? This action cannot be undone.</p>
			<p>&nbsp;</p>
			<input type="hidden" name="matter-id" id="matter-id" />
			
		</div>
		<div class="form-footer">
			<div class="tg-container">
				<div class="tg-column tg-col-6 no-bottom-margin">
					<button id="cancel-delete" type="button">No, I'll keep it</button>
				</div>
				<div class="tg-column tg-col-6 no-bottom-margin">
					<button id="confirm-delete" class="dark" type="button">Yes, delete it</button>
				</div>
			</div>
		</div>
	</form>
</div>
<!-- END delete matter form -->
	
<!-- add task form -->
<div id="add-task" class="animate__animated hide form-container form-add-matter">
	<div class="form-header">
		<h3>Add task</h3>
		<p id="btCloseAddTask" class="close-button"><i class="cil-x-circle"></i></p>
	</div>
	<form id="frmAddTask">
		<div class="form-content">
			<?= form_label('Task name', 'task-name') ?>
			<?= form_input(['name' => 'task-name', 'id' => 'task-name']) ?>
			
			<?= form_label('Duration', 'task-duration') ?>
			<?= form_input(['name' => 'task-duration', 'id' => 'task-duration']) ?>
			
			<?= form_label('Description', 'task-description') ?>
			<?= form_textarea([
     'name' => 'task-description',
     'id' => 'task-description',
   ]) ?>
			   
			<label for="task-assign-to">Assign to:</label>
			<select name="task-assign-to" id="task-assign-to">
				<?php foreach ($associates as $associate): ?>
					<option value="<?= $associate['id'] ?>"><?= $associate['name'] ?></option>
				<?php endforeach; ?>
			</select>
			
			   <input type="hidden" name="matter-id" id="task-matter-id" />
		</div>
		<div class="form-footer">
			<?= form_button([
     'name' => 'btAddTask',
     'id' => 'btAddTask',
     'content' => 'Add Task',
     'class' => 'dark',
   ]) ?>
		</div>
	</form>
</div>
<!-- END add task form -->
	
<script src="/js/partner/matter.js" defer></script>