<h2>Reports</h2>
<div class="dashboard-component">
	<p><a href="<?= base_url('/reports/Report.xlsx'); ?>" class="btn-link">
		<span><i class="cil-cloud-download"></i></span>Immediate past week's report - Week <?= idate('W') - 1 ?>
	</a></p>
	<hr />
	<h3>Custom report</h3>
	<div class="tg-container">
		<div class="tg-column tg-col-4 no-bottom-margin">
			<label for="start-date">From</label>
			<input type="date" name="start-date" id="startDate" />
		</div>
		<div class="tg-column tg-col-4 no-bottom-margin">
			<label for="end-date">To</label>
			<input type="date" name="end-date" id="endDate" />
		</div>
		<div class="tg-column tg-col-4 no-bottom-margin" style="padding: 23px 0 0;">
			<button class="light" id="btnGetReport">Get report</button>
		</div>
	</div>
	<hr />
	<div id="customReport"><p>Please select start and from dates above and click on 'Get report'</p></div>
</div>
<script>
	const startDate = document.getElementById('startDate')
	const endDate = document.getElementById('endDate')
	const btnGetReport = document.getElementById('btnGetReport')
	const customReport = document.getElementById('customReport')
	
	const getReport = () => {
		if(!startDate.value || !endDate.value){
			customReport.innerHTML = '<p class="report-error"><span><i class="cil-warning"></i></span>Please select a start and end date</p>'
		}else{
			customReport.innerHTML = '<p>Generating report ... please wait ...</p>'
			
		  // set form values
		  const reportDates = {
			startDate: startDate.value,
			endDate: endDate.value
		  }
		
		  const reportData = new FormData()
		  reportData.append('reportDates', JSON.stringify(reportDates))
		
		  // fetch data from db
		  $.ajax({
			url: `/partner/reports`,
			type: 'post',
			data: reportData,
			processData: false,
			contentType: false,
		
			success: function (response) {
			  $('#customReport').html(response)
			}
		  })
		}
	}
	
	btnGetReport.addEventListener('click', getReport)
</script>