// areas of interest JS FILE

// define buttons
const btFinishedPracticeAreas = document.querySelector('#finished-editing-pas')
const btEditPracticeAreas = document.querySelector('#edit-pas')
const btCloseEditPas = document.querySelector('#close-edit-areas-of-interest')

// define containers
const pasListContainer = document.querySelector('#pas-list-container') // animated container for all pas

// show the list of pas on clicking the edit button
if (btEditPracticeAreas) {
  btEditPracticeAreas.addEventListener('click', e => {
    e.preventDefault()
    showForm(pasListContainer)
  })
}

// hide list of pas
if (btCloseEditPas) {
  btCloseEditPas.addEventListener('click', () => hideForm(pasListContainer))
}

// 1. get list of selected partners
const selectedPasContainers = Array.from(
  document.querySelectorAll('#selected-pas p')
)

let selectedPas = selectedPasContainers.map(pa => ({
  id: pa.dataset.areaId,
  area: pa.innerText
}))

// 2. get list of all areas and check to see if any of them are selected
const allAreas = Array.from(document.querySelectorAll('.area-checkbox'))

allAreas.forEach(area => {
  const areaId = area.dataset.id
  const areaStatus = area.nextElementSibling.nextElementSibling
  const areaLabel = area.parentElement

  if (selectedPas.filter(selectedPa => selectedPa.id === areaId).length !== 0) {
    areaLabel.classList.add('choice-selected')
    areaStatus.innerHTML = "<i class='cil-check-alt'></i>"
    area.checked = true
  }

  // add/remove from selection
  area.addEventListener('click', () => {
    if (area.checked === true) {
      // add area to selected areas
      selectedPas.push({
        id: areaId,
        area: area['value']
      })

      // change icon of status span
      areaStatus.innerHTML = "<i class='cil-check-alt'></i>"
      areaLabel.classList.add('choice-selected')
    } else {
      // area has already been selected, clicking again removes them from the list
      selectedPas = selectedPas.filter(areaToCheck => areaToCheck.id !== areaId)

      // change icon of status span
      areaStatus.innerHTML = "<i class='cil-x-circle'></i>"
      areaLabel.classList.remove('choice-selected')
    }
  })
})

// submit selected partners
if (btFinishedPracticeAreas) {
  btFinishedPracticeAreas.addEventListener('click', () => {
    //show notification
    notify()

    // save selected parteners to database
    const areaData = new FormData()
    areaData.append('areas', JSON.stringify(selectedPas))
    areaData.append('id_user', clData.user.id)

    // if the selected pas is an edit, an id exits ... include it in the post data to facilitate an update instead of an insertion
    if (document.querySelector('#interests-id').innerText) {
      areaData.append('id', document.querySelector('#interests-id').innerText)
    }

    // hide selection form
    hideForm(pasListContainer)

    $.ajax({
      url: '/submit-interests/areas',
      type: 'post',
      data: areaData,
      processData: false,
      contentType: false,

      success: function (response) {
        $('#selected-pas-container').html(response)
        $('#notification-message').html(
          `<p><i class="cil-task"></i></p><p>Areas of interest updated</p>`
        )
        hideNotification()
      }
    })
  })
}
