// experiences
// define buttons
const btShowAddExperience = document.querySelector('#show-add-experience')
const btCloseAddExperience = document.querySelector('#close-add-experience')
const btAddExperience = document.querySelector('#btAddExperience')

// define containers
const addExperienceForm = document.querySelector('#add-experience')

// show add experience form
if (btShowAddExperience) {
  btShowAddExperience.addEventListener('click', e => {
    e.preventDefault()

    showForm(addExperienceForm)
  })
}

// hide add experience form
if (btCloseAddExperience) {
  btCloseAddExperience.addEventListener('click', () =>
    hideForm(addExperienceForm)
  )
}

// 1. get list of selected experience
const selectedExperienceContainers = Array.from(
  document.querySelectorAll('#experience-list p')
)

let selectedExperiences = selectedExperienceContainers.map(container => ({
  id: container.dataset.experienceId,
  areaOfExperience: container.innerText
}))

// 2. get list of all departments and check to see if any of them are selected
const allDepartments = Array.from(
  document.querySelectorAll('.department-checkbox')
)

allDepartments.forEach(department => {
  const departmentId = department.dataset.id
  const departmentStatus = department.nextElementSibling.nextElementSibling
  const departmentLabel = department.parentElement

  if (
    selectedExperiences.filter(
      selectedExperience => selectedExperience.id === departmentId
    ).length !== 0
  ) {
    departmentLabel.classList.add('choice-selected')
    departmentStatus.innerHTML = "<i class='cil-check-alt'></i>"
    department.checked = true
  }

  // add/remove from selection
  department.addEventListener('click', () => {
    if (department.checked === true) {
      // add department to selectedExperiences
      selectedExperiences.push({
        id: departmentId,
        areaOfExperience: department['value']
      })

      // change icon of status span
      departmentStatus.innerHTML = "<i class='cil-check-alt'></i>"
      departmentLabel.classList.add('choice-selected')
    } else {
      // department has already been selected, clicking again removes them from the list
      selectedExperiences = selectedExperiences.filter(
        departmentToCheck => departmentToCheck.id !== departmentId
      )

      // change icon of status span
      departmentStatus.innerHTML = "<i class='cil-x-circle'></i>"
      departmentLabel.classList.remove('choice-selected')
    }
  })
})

// submit selected partners
if (btAddExperience) {
  btAddExperience.addEventListener('click', () => {
    //show notification
    notify()

    // save selected parteners to database
    const experienceData = new FormData()
    experienceData.append('experiences', JSON.stringify(selectedExperiences))
    experienceData.append('id_user', clData.user.id)

    // if the selected parters is an edit, an id exits ... include it in the post data to facilitate an update instead of an insertion
    if (document.querySelector('#interests-id').innerText) {
      experienceData.append(
        'id',
        document.querySelector('#interests-id').innerText
      )
    }

    // hide selection form
    hideForm(addExperienceForm)

    $.ajax({
      url: '/submit-interests/experiences',
      type: 'post',
      data: experienceData,
      processData: false,
      contentType: false,

      success: function (response) {
        $('#experiences').html(response)
        $('#notification-message').html(
          `<p><i class="cil-task"></i></p><p>Experience updated</p>`
        )
        hideNotification()
      }
    })
  })
}
