console.log('Assignment ...')

const btCloseAssignment = document.querySelector('#btCloseAssignment')
const btAssign = document.querySelector('#btn-assign')
const btSubmitAssignment = document.querySelector('#btnSubmitAssignment')

const assignmentView = document.querySelector('#assignment-view')
const newMatter = document.querySelector('#tab-new-matter')
const existingMatter = document.querySelector('#tab-existing-matter')
const partners = document.querySelector('#partners')

// number of selected associates span
const associateCountSpan = btAssign.querySelector('span')

// toggle between new and existing assignment form controls
let assignmentValues = {}

const matterStates = document.querySelectorAll('.matter-state')
matterStates.forEach(state => {
  state.addEventListener('click', () => {
    matterState = state.value
    if (state.value === 'existing') {
      newMatter.classList.add('hide')
      existingMatter.classList.remove('hide')
    } else {
      newMatter.classList.remove('hide')
      existingMatter.classList.add('hide')
    }
  })
})

// submit assignment
btSubmitAssignment.addEventListener('click', () => {
  // close assignment slider
  assignmentView.classList.add('animate__fadeOutRight')
  cleanUpAnimation(assignmentView, null, 'animate__fadeOutRight')

  //show notification
  notify()

  // set form values
  assignmentValues = {
    assignees: selectedAssociates,
    newMatter: {
      requirement: document.querySelector('#matter-requirement').value,
      partners: [...partners.options]
        .filter(partner => partner.selected)
        .map(partner => partner.value),
      details: document.querySelector('#details').value
    },
    existingMatter: document.querySelector('#existing-matter-id').value,
    message: document.querySelector('#message').value
  }

  const assignmentData = new FormData()
  assignmentData.append('assignment', JSON.stringify(assignmentValues))

  console.log(assignmentValues)

  // fetch data from db
  $.ajax({
    url: `/partner/associates/submit-assignment`,
    type: 'post',
    data: assignmentData,
    processData: false,
    contentType: false,

    success: function (response) {
      $('#notification-message').html(response)
      hideNotification()
    }
  })
  // end fetch data to db

  // reset form and selection
  selectedAssociates = []
  selectedAssociateLabels.innerHTML = ''
  btAssign.disabled = true
  associateCountSpan.textContent = 0
  document.querySelector('#matter-requirement').value = ''
  document.querySelector('#details').value = ''
  document.querySelector('#message').value =
    'This matter has been assigned to you. Please get in touch with the assigning partner/associate.'
  Array.from(partners.options).forEach(partner => (partner.selected = false))

  associateSelectors.forEach(selector => {
    const associateTag = selector.parentElement.parentElement.parentElement
    selector.checked = false
    associateTag.classList.remove('selected')
  })
})

// show assignment slider
btAssign.addEventListener('click', () => {
  assignmentView.classList.remove('hide')
  assignmentView.classList.add('animate__fadeInRight')
  cleanUpAnimation(assignmentView, 'animate__fadeInRight', null)
})

// close assignment slider
btCloseAssignment.addEventListener('click', () => {
  assignmentView.classList.add('animate__fadeOutRight')
  cleanUpAnimation(assignmentView, null, 'animate__fadeOutRight')
})
