console.log('Birds eye')

// define buttons
const btCloseAssociate = document.querySelector('#btCloseAssociate')

const showDetails = Array.from(document.querySelectorAll('.show-details'))
const associateSelectors = Array.from(
  document.querySelectorAll('.associate-selector')
)
const associates = Array.from(document.querySelectorAll('.associate-container'))

// define filter control
const filter = document.querySelector('#filter')

const listBody = document.querySelector('#list-body')
const associateView = document.querySelector('#associate-view')

const associateBody = document.querySelector('#associate-body')
const selectedAssociateLabels = document.querySelector(
  '#selected-associate-labels'
)

showDetails.forEach(associate => {
  const associateId = associate.dataset.associateId

  associate.addEventListener('click', () => {
    associateView.classList.remove('hide')
    associateView.classList.add('animate__fadeInRight')
    cleanUpAnimation(associateView, 'animate__fadeInRight', null)

    // fetch data from db
    $.ajax({
      url: `/partner/associates/getsingle/${associateId}`,
      type: 'post',

      success: function (response) {
        $('#associate-body').html(response)
      }
    })
    // end fetch data from db
  })
})

// close associate view slider
btCloseAssociate.addEventListener('click', () => {
  associateView.classList.add('animate__fadeOutRight')
  cleanUpAnimation(associateView, null, 'animate__fadeOutRight')
})

// filter designations
filter.addEventListener('change', e => {
  if (e.target.value === 'All') {
    associates.forEach(associate => associate.classList.remove('hide'))
  } else {
    associates.forEach(associate => {
      if (associate.dataset.organisationLevel !== e.target.value) {
        associate.classList.add('hide')
      } else {
        associate.classList.remove('hide')
      }
    })
  }
})

// create associate element to include in assignment slider
const createAssociateElement = (id, name) => {
  const associateElement = document.createElement('div')
  associateElement.classList.add('tg-column', 'tg-col-6', 'no-bottom-margin')
  associateElement.setAttribute('id', `assignment-associate-${id}`)

  const associateLabel = document.createElement('p')
  associateLabel.classList.add('choice-label')
  associateLabel.style.marginBottom = '10px'

  associateLabel.innerText = name
  associateElement.append(associateLabel)
  selectedAssociateLabels.append(associateElement)
}

// remove associate element from associate slider
const removeAssociateElement = id => {
  const associateToRemove = selectedAssociateLabels.querySelector(
    `#assignment-associate-${id}`
  )
  associateToRemove.remove()
}

// show selected associates - for assignment
let selectedAssociates = []

associateSelectors.forEach(selector => {
  if (selector.classList.contains('available')) {
    selector.addEventListener('click', () => {
      const associateTag = selector.parentElement.parentElement.parentElement
      if (selector.checked) {
        associateTag.classList.add('selected')
        selectedAssociates.push({
          id: selector.value,
          name: selector.parentElement.innerText
        })

        // add selected associate to assignment slider
        createAssociateElement(selector.value, selector.parentElement.innerText)
      } else {
        associateTag.classList.remove('selected')
        selectedAssociates = selectedAssociates.filter(
          associate => associate.id !== selector.value
        )

        // remove selected associate from assignment slider
        removeAssociateElement(selector.value)
      }

      // change assign buttons state
      btAssign.disabled = selectedAssociates.length === 0

      // change button styling depending on number of selected associates
      selectedAssociates.length !== 0
        ? btAssign.classList.add('dark')
        : btAssign.classList.remove('dark')

      // adjust number of selected associates
      associateCountSpan.textContent = selectedAssociates.length
    })
  }
})
