// associates
console.log('Associates ...')

// define containers
const associatesList = document.querySelector('#associates-list') // inbox list
const associateContainer = document.querySelector('#associate') // main associate view

// show selected associate
const associateSelectors = Array.from(associatesList.children)
associateSelectors.forEach(selector => {
  const assiociateId = selector.dataset.showAssociateId
  const associateToShow = document.querySelector(`#associate-${assiociateId}`)

  selector.addEventListener('click', () => {
    // hide visible associate
    hideAssociates(assiociateId)

    // mark associate as clicked
    selector.classList.add('list-item-clicked')

    //  show please wait message
    associateContainer.innerHTML = `<div class="content-placeholder">
        <p>Please wait ...</p>
        <p><i class="cil-clock"></i></p>
      </div>`

    // fetch data from db
    $.ajax({
      url: `/partner/associates/getsingle/${assiociateId}`,
      type: 'post',

      success: function (response) {
        $('#associate-view').html(response)
      }
    })
    // end fetch data to db
  })
})

// hide data items
const hideAssociates = visibleId => {
  // const associates = Array.from(document.querySelectorAll('.data-item'))

  // unmark matter selector
  associateSelectors.forEach(selector => {
    if (selector.dataset.showAssociateId !== visibleId) {
      selector.classList.remove('list-item-clicked')
    }
  })
}
